Bug 86776 - soffice.bin is not signed by Digital Certificate
Summary: soffice.bin is not signed by Digital Certificate
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: x86-64 (AMD64) Windows (All)
: medium enhancement
Assignee: Andras Timar
QA Contact:
URL:
Whiteboard: needsWindows target:5.5.0 target:5.4....
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-27 10:18 UTC by charlie.quinnpub
Modified: 2017-05-31 07:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description charlie.quinnpub 2014-11-27 10:18:36 UTC
Although msi and soffice.exe are signed by Document Foundation digital certificate soffice.bin is not.

This causes most of the work done by the Libre Office to lose levels of Trust in the Windows Environment.

This can cause poor performance when the program is operating and although unlikely could potentially cause some malware vendors to incorrectly classify this binary as malware.
Comment 1 charlie.quinnpub 2014-11-27 10:19:13 UTC
should reasd anit-malware vendors not malware vendors
Comment 2 Robinson Tryon (qubit) 2015-01-03 16:32:32 UTC
(In reply to charlie.quinnpub from comment #0)
> Although msi and soffice.exe are signed by Document Foundation digital
> certificate soffice.bin is not.

Hi Charlie,
Is there a particular utility one should use in Windows to verify digital signatures?
Comment 3 Yousuf Philips (jay) 2015-01-06 22:14:49 UTC
Confirmed that soffice.bin is not digitally signed on 4.3.5.2, while the various exe files (soffice.exe, simpress.exe, etc.) are.

(In reply to Robinson Tryon (qubit) from comment #2)
> Is there a particular utility one should use in Windows to verify digital
> signatures?

Its available by right-clicking on a file and clicking properties.

https://www.digicert.com/images/code-signing/windows-verify-signature.png
Comment 4 Robinson Tryon (qubit) 2015-01-06 22:22:36 UTC
(In reply to Jay Philips from comment #3)
> Confirmed that soffice.bin is not digitally signed on 4.3.5.2, while the
> various exe files (soffice.exe, simpress.exe, etc.) are.

Sounds like a plausible improvement on Windows.

Severity -> enhancement
Status -> NEW
Comment 5 Commit Notification 2017-05-31 07:08:13 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58c0ff3266fcae75db4ee6e3ceac17793e98db1d

tdf#86776 Digitally sign soffice.bin on Windows

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-05-31 07:08:23 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=128db17b68e7f538e0bc1d94e5afa7907d752099&h=libreoffice-5-4

tdf#86776 Digitally sign soffice.bin on Windows

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-05-31 07:19:35 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51c357a1489218b79326f8f4e6d6f20c4a267ad9&h=libreoffice-5-3

tdf#86776 Digitally sign soffice.bin on Windows

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.